Subject: Re: [Bier] Comment on BIER-TE

From: <[email-masked]>
Date: Wed, 9 Aug 2017 15:41:23 +0800 (CST)

Hi, ICE

Plase see my comments inline marked with[hfw].

Hi,>> I mentioned how this could btw. equally be a question for BIER: If you had such>> a large multi-are network and you would randomnly assign BFR-IDs to BFERs and end>> up having in one region BFER with different SI's, then you would also need to >>send per-SI copies into that region, which would not be traffic-optimal. Aka:>> You would also like to assign BFR-ID in SI groups in topological vicnity to maximize>> the replication efficiency in BIER if you have such large networks.>The big difference with BIER is that when using multiple SI’s, the forwarding tables for each SI are build throughout the whole network. So there is never a problem that BIER packets get stuck because there is> no BIFT for a particular SI. I agree it might be more efficient if BFER’s within an SI are co-located to have a more efficient forwarding, but its not a requirement to avoid packet loss.

<hfw> Yes, agree. It is not a problem for BIER packets.

>IMO, the concept of SI does not apply to BIER-TE in order to scale up. One can create multiple “domains” of BFR’s that use bits out of the same BitString (like sub->domains), but these domains act completely independently (like Segmented Inter-AS scenario). 

<hfw> I am not sure this is a simple solution. I doubt that it may bring the "inter-domain" issues. The edge BFR of the two BIER domains should have to translate the packet from one domain to another domain.

Regards.

Fangwei.

发件人： <[email-masked]>
收件人： <[email-masked]>
抄送人：胡方伟10075772 <[email-masked]>
日 期 ：2017年08月09日 02:50
主 题 ：Re: [Bier] Comment on BIER-TE

Hi,

> I mentioned how this could btw. equally be a question for BIER: If you had such
> a large multi-are network and you would randomnly assign BFR-IDs to BFERs and end
> up having in one region BFER with different SI's, then you would also need to 
> send per-SI copies into that region, which would not be traffic-optimal. Aka:
> You would also like to assign BFR-ID in SI groups in topological vicnity to maximize
> the replication efficiency in BIER if you have such large networks.

>The big difference with BIER is that when using multiple SI’s, the forwarding tables for each SI are build throughout the whole network. So there is never a problem that BIER packets get stuck because there is> no BIFT for a particular SI. I agree it might be more efficient if BFER’s within an SI are co-located to have a more efficient forwarding, but its not a requirement to avoid packet loss.
IMO, the concept of SI does not apply to BIER-TE in order to scale up. One can create multiple “domains” of BFR’s that use bits out of the same BitString (like sub-domains), but these domains act completely independently (like Segmented Inter-AS scenario). 

The power of BIER-TE is that one can traffic engineer on a per packet basis without creating state in the network. Unfortunately, the scope is small. 

If traffic engineering on a bigger scale is needed, it may not be required to do it on a per flow basis but rather on a topology. This can be done with normal BIER and different topologies (sub-domains) created BIFT’s. Maybe this is similar to what Greg Mirsky was saying on the other thread, but I don’t think we would run BIER over RSVP-TE. We run it over different topologies.

Thx,

Ice.